TTLG|Thief|Bioshock|System Shock|Deus Ex|Mobile
Results 1 to 15 of 15

Thread: TrapTimedRelay script missing in PATCHED SoldOut ver. of T2?

  1. #1
    Member
    Registered: Jul 2003
    Location: Poland

    TrapTimedRelay script missing in PATCHED SoldOut ver. of T2?

    As some of you might know, the TrapTimedRelay script is a handy gadget that was implemented into Thief 2 after the patch. I think people who made the patch to the SoldOut version of T2 forgot to put it there. Why?

    Do you remember Bukary's "Old Comrades, Old Debts" mission? The script was essential to finish the mission, and so people without patches complained they weren't able to finish it. And Timon's "Timoteus"? It uses the script in the location near the librarian's room - without it you can get "trapped" very badly.

    Can anything be done about this?

  2. #2
    The files script.osm and gen.osm must be dated 27.03.2000 (or later, if you've got Gaylesaver's custom scripts installed). Strangely, the patch I used for the US version installed the older versions. But I could take the two files from my German installation, which had been updated properly with the German patch.

  3. #3
    Member
    Registered: Jul 2003
    Location: Poland
    So you say you have a SoldOut version with all the scripts working? That's interesting.

    My script.osm is dated 2003-04-07 and the gen.osm is 2000-07-18 (it wasn't in the Gaylesaver's custom scripts). But the custom scripts don't include the TrapTimedRelay?

  4. #4
    Member
    Registered: Jun 2001
    Location: Tatry Mountains, Poland
    Yes. Some people told me that OCOD (TrapTimedRelay script) is not working with SOLD OUT patched version of T2.

    Can anyone find a solution?

  5. #5
    Desperately Dodgy Moderator
    Registered: Nov 2001
    Location: France
    If Gaylesaver's latest release is based on the original T2 patched version, installing it shoudl fix the problem, no?

  6. #6
    Member
    Registered: Jun 2001
    Location: Tatry Mountains, Poland
    Originally posted by Yandros
    If Gaylesaver's latest release is based on the original T2 patched version, installing it shoudl fix the problem, no?
    As far as I know, people who cannot properly play OCOD (and Timoteus) have VK's scripts installed...

  7. #7
    Member
    Registered: Jun 2001
    Location: Tatry Mountains, Poland
    All right. We found a soultion. One just have to replace .osm files from SOLD OUT version with files from 'normal' version.

  8. #8
    Member
    Registered: Jul 2003
    Location: Poland
    To sum it up:

    - the Gaylesaver's custom scripts have nothing to do with the missing script
    - everything works fine with convict.osm and gen.osm replaced. I think this is a quite important issue, why not put this in the FAQ or sth? It's strange why noone ever complained about the TrapTimedRelay in SO... It's really not there.

  9. #9
    Member
    Registered: Oct 2003
    Location: UK
    Is there an up to date GEN.OSM available to download - Ive tried searching without any luck.

    Thanks

  10. #10
    Member
    Registered: May 2003
    I second that - I need to download the "proper" CONVICT.OSM and GEN.OSM to make Calendra's Legacy work in my Sold Out T2.

    I've even tried using the original T2 patch with a subsequent NO-CD crack but this still does not seem to work.

    K

  11. #11
    Member
    Registered: Jan 2003
    Location: Big Piney Woods of Texas

    T2 versions vs scripts

    I have successfully installed scripts for TGold. However, am having a problem with T2 and am totally ignorant with all this stuff.
    What does it mean when I try to extract the scripts to the Thief2 directory and get the message "Cannot patch this version of the game. Patch expects V 1.07 and current version is 1.18"? Have I downloaded the wrong scripts?
    Please give me an answer that does not require a computer expert's understanding.




  12. #12
    Member
    Registered: Apr 2000
    This thread is sorta, kinda drifting into an overly technical topic worthy of a thread in the editors forum... but having said that, here is my 2-cents... A while ago I reworked one of my own FMs to get rid of TrapTimedRelay because I could never be sure 100% of the time that every player would be playing with the latest patched version of Thief 2. And since this is still true, and will continue to be true until no one plays Thief 2 anymore, I personally found other ways to do my delays. Although I've got to say that TrapTimedRelay would have been very nice and very handy, IMHO it's not worth exposing the 1% -3% of players still playing unpatched versions of the game.

  13. #13
    Member
    Registered: May 2003
    Although I've got to say that TrapTimedRelay would have been very nice and very handy, IMHO it's not worth exposing the 1% -3% of players still playing unpatched versions of the game.
    Or the significantly larger proportion of people playing the patched Sold Out version of the game (like me). Even the patch for the original version does not appear to rectify the problem.

    K
    Last edited by Nightwalker; 20th May 2007 at 09:37.

  14. #14
    Member
    Registered: Jul 2003
    Location: Poland
    Originally posted by black jack davy
    Is there an up to date GEN.OSM available to download - Ive tried searching without any luck.

    Thanks
    Well, you can try this:

    http://www.thief-forum.ehost.pl/download.php?id=322

    The two files (convict.osm and gen.osm) are compressed in a rar archive - if you don't have the utility to open it, head on to www.rarlab.com.

    What does it mean when I try to extract the scripts to the Thief2 directory and get the message "Cannot patch this version of the game. Patch expects V 1.07 and current version is 1.18"? Have I downloaded the wrong scripts?
    Please give me an answer that does not require a computer expert's understanding.
    Uh, I'm not sure if I understand. Do you have a SoldOut version? Is it patched? What are you trying to do in order to get it work? The GayleSaver's custom scripts and the scrips I mention above are different things.

  15. #15
    Member
    Registered: Oct 2003
    Location: UK
    Thanks OSah

    Ill give these a try, then off to Gerrards Temple to see if the objectives trigger correctly!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •